{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:player_hurt_entity",
      "conditions": {
        "player": [
          {
            "condition": "minecraft:inverted",
            "term": {
              "condition": "minecraft:reference",
              "name": "survivalplus:noswap"
            }
          }
        ],
        "entity": [
          {
            "condition": "minecraft:inverted",
            "term": {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "nbt": "{Health:0f}"
              }
            }
          },
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "nbt": "{Tags:[swapper_mage]}"
            }
          }
        ]
      }
    }
  },
  "rewards": {
    "function": "survivalplus:tools/dealdmg/swapper"
  }
}